Data Fields

# _FDSTACK_s Struct Reference
[RPMIO.]

`#include <rpmio/rpmio_internal.h>`

Collaboration diagram for _FDSTACK_s:
[legend]

## Data Fields
FDIO_t | io
void * | fp
int | fdno

## Detailed Description

Definition at line 18 of file rpmio_internal.h.

## Field Documentation

int _FDSTACK_s::fdno

Definition at line 23 of file rpmio_internal.h.

Referenced by _fileno(), Fclose(), fdbg(), fdGetFdno(), fdSetFdno(), Fileno(), ftpAbort(), and XfdNew().

void* _FDSTACK_s::fp

Definition at line 22 of file rpmio_internal.h.

Referenced by Fclose(), fdbg(), fdGetFILE(), fdGetFp(), fdSetFp(), lzdFileno(), and XfdNew().

FDIO_t _FDSTACK_s::io

Definition at line 20 of file rpmio_internal.h.

Referenced by Fclose(), fdbg(), fdGetIo(), fdSetIo(), Ferror(), lzdFileno(), and XfdNew().

The documentation for this struct was generated from the following file:

- rpmio/rpmio_internal.h